# Примеры на D

Реализация простых функций на языке D, включающих в себя различные примеры. Каждый пример вынесен в отдельный модуль, что позволяет без привязок к общему коду изучить код конкретного примера.

Данные примеры содержат:

```sh
d-examples
├── common          Общего назначения
│   ├── isexists    Проверяет наличие исполняемого файла в директориях,указанных в переменной окружения PATH
├── ncurses         Использование библиотеки ncurses
│   ├── menu        Интерактивное консольное меню
│   └── password    Консольное окно для ввода пароля
└── shell           Запуск команд в shell
    ├── pipe        Чтение выходных данных на примере ip
    └── spinner     Эмуляция статуса выполнения процесса
```
